'/*********************************************************************************
'*   Author       -  Kiraly Tibor                                                 *
'*                   www.tkiraaly.hu                                              *
'*   Date         -  2008.11.16.                                                  *
'*   OS           -  MS Windows (W2k, XP ... ?) - Wisual Basic Script             *
'*                                                                                *
'*   A script-t a kartyaolvaso segitsegevel letoltott fenykepeim datum szerinti   *
'*   almappakba rendezesere keszitettem.                                          *
'*                                                                                *
'*   A script vegigmegy a "c:\letolt" directory-ban levo file-kon. Megvizsgalja,  *
'*   hogy az adott file datumanak megfelelo subdirectory (pl. 2008_11_15)         *
'*   letezik-e. Ha nem, letrehozza, majd a file-t athelyezi bele.                 *
'*                                                                                *
'*********************************************************************************/

Dim d                                  ' file datuma
Dim f                                  ' honnan - aktualis directory
Dim t                                  ' hova - cel directory
Dim oFS                                ' file muveletekhez
Dim cFL                                ' File list
Dim oWMI                               ' WMI service eleresehez

f= "c:\letolt"

Set oFS=  CreateObject( "Scripting.FileSystemObject")
Set oWMI= GetObject( "winmgmts:{impersonationLevel=impersonate}!\\.\root\cimv2")
Set cFL=  oWMI.ExecQuery( "ASSOCIATORS OF {Win32_Directory.Name='" & f & "'} Where ResultClass = CIM_DataFile")

For Each objFile In cFL
    d= Left( objFile.LastModified, 8)
    t= f & "\" & Left( d, 4) & "_" & Mid( d, 5, 2) & "_" & Right( d, 2)
    If not oFS.FolderExists( t) Then
       oFS.CreateFolder( t)
    End If
    oFS.MoveFile objFile.Name, t & "\"
Next
